%global debug_package %{nil}
Name:		xdrfile
Version:	1.1.4
Release:	18.fc42
Summary:	C-library for reading and writing GROMACS trr and xtc files
License:	BSD
URL:		http://www.gromacs.org/Developer_Zone/Programming_Guide/XTC_Library
Source0:	ftp://ftp.gromacs.org/pub/contrib/%{name}-%{version}.tar.gz

%description
xdrfile is a small C-library for reading and writing trr and xtc files. The 
library is lightweight (no dependencies, portable) and can be incorporated in 
other software, because it is being distributed under the BSD license. The 
library also contains one program trr2xtc which does what you would expect, 
and the other way around.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q 

%build
%configure --enable-shared --disable-static
# Get rid of rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
export RPM_ARCH=$(uname -m)
%make_build

%install
%make_install INSTALL="install -p"
cp -rf %{_builddir}/xdrfile-1.1.4/src/libxdr* %{buildroot}/usr/lib64/

find %{buildroot} -name '*.la' -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING NEWS README 
%{_libdir}/*.so.*
%{_bindir}/*

%files devel
/usr/lib64/libxdrfile.a
%{_includedir}/%{name}/

%changelog
